<?php

/**
* $Id: common.php,v 1.1.2.2 2005/08/16 16:28:06 fx2024 Exp $
* Module: SmartFAQ
* Author: The SmartFactory <www.smartfactory.ca>
* Licence: GNU
*/
if (!defined("XOOPS_ROOT_PATH")) { 
 	die("XOOPS root path not defined");
}

if( !defined("SMARTFAQ_DIRNAME") ){
	define("SMARTFAQ_DIRNAME", 'smartfaq');
}

if( !defined("SMARTFAQ_URL") ){
	define("SMARTFAQ_URL", XOOPS_URL.'/modules/'.SMARTFAQ_DIRNAME.'/');
}
if( !defined("SMARTFAQ_ROOT_PATH") ){
	define("SMARTFAQ_ROOT_PATH", XOOPS_ROOT_PATH.'/modules/'.SMARTFAQ_DIRNAME.'/');
}

if( !defined("SMARTFAQ_IMAGES_URL") ){
	define("SMARTFAQ_IMAGES_URL", SMARTFAQ_URL.'/images/');
}

include_once(SMARTFAQ_ROOT_PATH . "include/functions.php");
include_once(SMARTFAQ_ROOT_PATH . "class/keyhighlighter.class.php");

// Creating the SmartModule object
$smartModule =& sf_getModuleInfo();
$myts = MyTextSanitizer::getInstance();
$smartfaq_moduleName = $myts->displayTarea($smartModule->getVar('name'));

// Creating the SmartModule config Object
$smartConfig =& sf_getModuleConfig();

include_once(SMARTFAQ_ROOT_PATH . "class/permission.php");
include_once(SMARTFAQ_ROOT_PATH . "class/category.php");
include_once(SMARTFAQ_ROOT_PATH . "class/faq.php");
include_once(SMARTFAQ_ROOT_PATH . "class/answer.php");

// Creating the faq handler object
$smartfaq_faq_handler =& xoops_getmodulehandler('faq', SMARTFAQ_DIRNAME);

// Creating the category handler object
$smartfaq_category_handler =& xoops_getmodulehandler('category', SMARTFAQ_DIRNAME);

// Creating the answer handler object
$smartfaq_answer_handler =& xoops_getmodulehandler('answer', SMARTFAQ_DIRNAME);

// Creating the permission handler object
$smartfaq_permission_handler =& xoops_getmodulehandler('permission', SMARTFAQ_DIRNAME);

?>