<?php

/**
* $Id: modinfo.php,v 1.20.2.5.2.1 2005/08/15 16:52:43 fx2024 Exp $
* Module: SmartFAQ
* Author: The SmartFactory <www.smartfactory.ca>
* Licence: GNU
*/

// Module Info
// The name of this module
global $xoopsModule;
define('_MI_SF_MD_NAME', 'SmartFAQ');

// A brief description of this module
define('_MI_SF_MD_DESC', 'Syst&egrave;me de gestion de Q&amp;R avanc&eacute;e pour votre site XOOPS');

// Sub menus in main menu block
define('_MI_SF_SUB_SMNAME1', 'Proposer une Q&amp;R');
define('_MI_SF_SUB_SMNAME2', 'Soumettre une Question');
define('_MI_SF_SUB_SMNAME3', 'Questions Ouvertes');
define('_MI_SF_SUB_SMNAME4', 'Mod&eacute;ration');

// Config options
define('_MI_SF_ALLOWSUBMIT', '[PERMISSIONS] Propositions des utilisateurs :');
define('_MI_SF_ALLOWSUBMITDSC', 'Permettre aux utilisateurs de proposer une Q&amp;R sur votre site?');

define("_MI_SF_ALLOWREQUEST", "[PERMISSIONS] Demandes d'utilisateur :");
define('_MI_SF_ALLOWREQUESTDSC', 'Permettre aux utilisateurs de demander une Q&amp;R sur votre site?');

define("_MI_SF_NEWANSWER", "[PERMISSIONS] Permettre l'envoie de nouvelles rponses :");
define("_MI_SF_NEWANSWERDSC", "Choisissez 'Oui' pour permettre aux utilisateurs de proposer de nouvelles rponses pour des FAQ dj publies.");

define('_MI_SF_ANONPOST', '[PERMISSIONS] Permettre aux anonymes de poster des messages');
define('_MI_SF_ANONPOSTDSC', 'Permettre aux utilisateurs anonymes de proposer ou demander une nouvelle Q&amp;R.');

define('_MI_SF_DATEFORMAT', '[OPTIONS DE FORMAT]  Format de la date :');
define("_MI_SF_DATEFORMATDSC", "Utilisez la fin de language/french/global.php pour choisir de montrer un style. Exemple: 'd-M-Y H:i' traduits en '30-Mar-2004 22:35'");

define('_MI_SF_DISPLAY_COLLAPS', '[OPTIONS DE FORMAT] Afficher les barres rtractables?');
define('_MI_SF_DISPLAY_COLLAPSDSC', "Choisissez 'Oui' pour afficher les barres rtractables dans les page index et catgories du module.");

define("_MI_SF_DISPLAYTYPE", "[OPTIONS DE FORMAT] Types d'affichage des Q&amp;R :");
define('_MI_SF_DISPLAYTYPEDSC', 'Si Vue r&eacute;sum&eacute;e est s&eacute;lectionn&eacute;e, seule la question, la date et les clics de chaque Q&amp;R seront montr&eacute;s dans la cat&eacute;gorie choisie. Si Vue compl&egrave;te est s&eacute;lectionn&eacute;e, chaque Q&amp;R sera montr&eacute;e enti&egrave;rement dans la cat&eacute;gorie choisie.');
define('_MI_SF_DISPLAYTYPE_SUMMARY', 'Vue r&eacute;sum&eacute;e');
define('_MI_SF_DISPLAYTYPE_FULL', 'Vue compl&egrave;te');
define('_MI_SF_DISPLAYTYPE_TREEVIEW', "Arbre");

define('_MI_SF_DISPLAY_LAST_FAQ', "[OPTIONS DE CONTENU] Afficher la colonne 'Dernire Q&amp;R'");
define('_MI_SF_DISPLAY_LAST_FAQDSC', "Choisissez 'Oui' pour afficher une colonne 'Dernire Q&amp;R' pour chacune des catgories sur la page d'index et des catgories.");

define('_MI_SF_DISPLAY_LAST_FAQS', '[OPTIONS DE CONTENU] Afficher les dernires Q&amp;As?');
define('_MI_SF_DISPLAY_LAST_FAQSDSC', "Selectionnez 'OUI' pour afficher les dernires Q&amp;R.");

define('_MI_SF_LAST_FAQ_SIZE', "[OPTIONS DE CONTENU] Taille des 'dernires Q&amp;R' :");
define('_MI_SF_LAST_FAQ_SIZEDSC', "Param&egrave;trer la taille maximum des questions dans la colonne des dernires Q&amp;R.");

define('_MI_SF_QUESTION_SIZE', "[OPTIONS DE CONTENU] Taille de la question :");
define('_MI_SF_QUESTION_SIZEDSC', "Param&egrave;trer la taille maximum de la question en tant que titre dans le page d'affichage unique de la Q&amp;R.");

define('_MI_SF_DISPLAY_SUBCAT_INDEX', '[OPTIONS DE CONTENU] Affichez les sous-categories');
define('_MI_SF_DISPLAY_SUBCAT_INDEXDSC', "Slectonnez 'Oui' pour afficher les sous catgories sur la page d index.");

define('_MI_SF_DISPLAY_TOPCAT_DSC', '[OPTIONS DE CONTENU] Afficher la description des catgories?');
define('_MI_SF_DISPLAY_TOPCAT_DSCDSC', "Slectionnez 'Oui' pour afficher la description des catgories sur la page d index.");

define('_MI_SF_DISPLAY_SBCAT_DSC', '[OPTIONS DE CONTENU] Afficher la description des sous-catgories?');
define('_MI_SF_DISPLAY_SBCAT_DSCDSC', "Choisissez 'Oui' pour afficher la description des sous-catgories sur la page d'index et des catgories.");

define('_MI_SF_ORDERBYDATE', '[OPTIONS DE FORMAT] Trier les Q&amp;R par date :');
define('_MI_SF_ORDERBYDATEDSC', "Si vous choisissez 'Oui', Les Q&amp;R contenues dans la Cat&eacute;gorie seront ordonn&eacute;es par date descendante, sinon, elles seront ordonn&eacute;es par leur poids.");

define('_MI_SF_DISPLAY_DATE_COL', "[OPTIONS DE CONTENU] Afficher la colonne 'Publi le'?");
define('_MI_SF_DISPLAY_DATE_COLDSC', "Lorsque 'Vue sommaire' est slectionn comme type d'affichage, choisissez 'Oui' pour afficher la colonne 'Publi le' dans le tableau des Q&amp;R sur les pages index et catgories.");

define('_MI_SF_DISPLAY_HITS_COL', "[OPTIONS DE CONTENU] Afficher la colonne 'Clics'?");
define('_MI_SF_DISPLAY_HITS_COLDSC', "Lorsque 'Vue sommaire' est slectionn comme type d'affichage, choisissez 'Oui' pour afficher la colonne 'Clics' dans le tableau des Q&amp;R sur les pages index et catgories.");

define('_MI_SF_USEIMAGENAVPAGE', '[OPTIONS DE FORMAT] Utilisez les images sur la page de navigation :');
define("_MI_SF_USEIMAGENAVPAGEDSC", "Si vous choisissez 'Oui', la page de navigation sera montr&eacute;e avec une image, sinon, la page de navigation originale sera utilis&eacute;e.");

define('_MI_SF_ALLOWCOMMENTS', '[PERMISSIONS] Contr&ocirc;le des commentaires au niveau des Q&amp;R :');
define("_MI_SF_ALLOWCOMMENTSDSC", "Si vous choisissez 'Oui', vous verrez les commentaires uniquement sur les Q&amp;R ayant la case commentaires coch&eacute;e. <br/><br/>Choisissez 'Non' pour g&eacute;rer les commentaires &agrave; un niveau global (voir ci-dessous la balise 'R&egrave;gles des Commentaires'.");

define("_MI_SF_ALLOWADMINHITS", "[OPTIONS DE CONTENU] Compter les lectures de l'administrateur :");
define("_MI_SF_ALLOWADMINHITSDSC", "Ajouter les lectures de l'administrateur dans les statistiques?");

define('_MI_SF_AUTOAPPROVE_SUB_FAQ', '[PERMISSIONS] Les Q&amp;R propos&eacute;es sont automatiquement approuv&eacute;es :');
define("_MI_SF_AUTOAPPROVE_SUB_FAQ_DSC", "Approbation automatique des Q&amp;R propos&eacute;es sans intervention de l'administrateur.");

define('_MI_SF_AUTOAPPROVE_REQUEST', '[PERMISSIONS] Les demandes de Q&amp;R sont automatiquement approuv&eacute;es :');
define("_MI_SF_AUTOAPPROVE_REQUEST_DSC", "Approbation automatique des Q&amp;R demand&eacute;es sans intervention de l'administrateur.");

define('_MI_SF_AUTOAPPROVE_ANS', '[PERMISSIONS] Les r&eacute;ponses sont automatiquement approuv&eacute;es :');
define('_MI_SF_AUTOAPPROVE_ANS_DSC', 'Approbation automatique des r&eacute;ponses pour les Q&amp;R sans r&eacute;ponse.');

define('_MI_SF_AUTOAPPROVE_ANS_NEW', '[PERMISSIONS]  Auto Approbation de nouvelle r&eacute;ponse:');
define('_MI_SF_AUTOAPPROVE_ANS_NEW_DSC', 'Auto approuver les r&eacute;ponses soumises pour les Q&amp;R publi&eacute;es.');

define('_MI_SF_LASTFAQSPERCAT', '[OPTIONS DE CONTENU] Maximum des derni&egrave;res Q&amp;R par cat&eacute;gorie :');
define('_MI_SF_LASTFAQSPERCATDSC', 'Nombre Maximum de Q&amp;R &agrave; montrer dans la colonne infos de la cat&eacute;gorie.');

define('_MI_SF_CATPERPAGE', '[OPTIONS DE FORMAT] Maximum de Cat&eacute;gories par page (c&ocirc;t&eacute; utilisateur):');
define('_MI_SF_CATPERPAGEDSC', 'Nombre Maximum de cat&eacute;gories &agrave; montrer par page c&ocirc;t&eacute; utilisateur.');

define('_MI_SF_PERPAGE', '[OPTIONS DE FORMAT] Maximum de Q&amp;R par page (C&ocirc;t&eacute; Admin):');
define("_MI_SF_PERPAGEDSC", "Nombre maximum de Q&amp;R &agrave; montrer par page dans l'administration des Q&amp;R.");

define('_MI_SF_PERPAGEINDEX', '[OPTIONS DE FORMAT] Maximum de Q&amp;R par page (C&ocirc;t&eacute; utilisateur):');
define('_MI_SF_PERPAGEINDEXDSC', 'Nombre maximum de Q&amp;R &agrave; montrer par page pour les visiteurs.');

define('_MI_SF_INDEXWELCOMEMSG', '[OPTIONS DE CONTENU] Index message de bienvenue:');
define('_MI_SF_INDEXWELCOMEMSGDSC', 'Message de bienvenue &agrave; montrer dans la page index du module.');
define("_MI_SF_INDEXWELCOMEMSGDEF", "Dans cet espace de votre site, vous trouverez les r&eacute;ponses aux questions fr&eacute;quemment pos&eacute;es, ainsi que les r&eacute;ponses &agrave; 'Comment fais-je' et les questions 'Le saviez-vous'. Merci de nous faire part de vos commentaires sur ces Q&amp;R."); 

define("_MI_SF_REQUESTINTROMSG", "[OPTIONS DE CONTENU] Message d'introduction des demandes :");
define("_MI_SF_REQUESTINTROMSGDSC", "Message d'introduction &agrave; montrer en cas de demande de Q&amp;R sur un module.");
define("_MI_SF_REQUESTINTROMSGDEF", "Vous n'avez pas trouv&eacute; la r&eacute;ponse &agrave; votre question? Pas de probl&egrave;me! Remplissez simplement le formulaire suivant afin de nous faire parvenir votre question. Un administrateur du site verra et publiera cette nouvelle question dans la section des Questions Ouvertes afin que quelqu'un puisse y r&eacute;pondre!");

define('_MI_SF_OPENINTROMSG', '[OPTIONS DE CONTENU] Message d\'introduction des Questions Ouvertes:');
define('_MI_SF_OPENINTROMSGDSC', 'Message d\'introduction &agrave; montrer dans la page des Questions Ouvertes.');
define('_MI_SF_OPENINTROMSGDEF', 'Voici la liste des Questions Ouvertes. Ces dernires sont des Questions pos&eacute;es par les utilisateurs du site ne disposant pas de r&eacute;ponse. Vous pouvez cliquer sur une Question Ouverte pour y r&eacute;pondre et les aider.');

define('_MI_SF_INDEXFOOTER', '[OPTIONS DE CONTENU] Pied de la page index.');
define('_MI_SF_INDEXFOOTERDSC', "Texte qui sera affich au pieds de la page index.");

define('_MI_SF_FAQFOOTER', '[OPTIONS DE CONTENU] Pied de la page FAQ.');
define('_MI_SF_FAQFOOTERDSC', "Texte qui sera affich au pieds de chaque page de question.");

define('_MI_SF_USEREALNAME', '[OPTIONS DE CONTENU] Utiliser le nom rel des utilisateurs');
define('_MI_SF_USEREALNAMEDSC', "Quand un nom d'utilisateur est affich, utiliser le champs 'Nom rel' de son profil.");

define('_MI_SF_HELP_PATH_SELECT', "[OPTIONS D'AIDE] Mthode d'accs  la doc SmartFaq");
define('_MI_SF_HELP_PATH_SELECT_DSC', "Slectionnez la mthode que vous prferez concernant l'accs  la documentation SmartFaqFAQ. Si vous dcidez de tlcharger le package comprennant les fichiers d'aide pour les dposer dans 'modules/smartfaq/doc/', vous pouvez slectionnez \"A l'intrieur du module\". Sinon, vous pouvez accder directement  la documentation depuis l'url \"docs.xoops.org\" en choisissant cette option dans le menu. Il est aussi possible de selectionner \"Rpertoire personnel\" et spcifier par vous mme l'url dans le champ ci-dessous.");

define('_MI_SF_HELP_PATH_CUSTOM', "[OPTIONS D'AIDE] Url de la doc 'SmartFAQ'");
define('_MI_SF_HELP_PATH_CUSTOM_DSC', "Si vous slectionnez \"Rpertoire personnel\" dans l'option ci-dessus, merci de prciser l'url ou se trouve les fichiers d'aide en respectant le format suivant : <b>http://www.yoursite.com/doc</b>");

define('_MI_SF_HELP_INSIDE', "[OPTIONS D'AIDE] A l'intrieur du module");
define('_MI_SF_HELP_CUSTOM', "Rpertoire personnel");

define("_MI_SF_PARTIALVIEW", "[VUE PARTIELLE] Permettre aux anonymes d'avoir une vue partielle de la rponse.");
define("_MI_SF_PARTIALVIEWDSC", "Cette option permettra de laisser voir une partie des Q&R pour lesquelles les anonymes n'ont pas les droits de vue.<br><br> Seules les catgories dont les anonymes ont droit de vue offriront la vue partilelle de leurs Q&R.");

define("_MI_SF_PARTIALVIEWCOUNT", "[VUE PARTIELLE] Longueur de la vue partielle");
define("_MI_SF_PARTIALVIEWCOUNTDSC", "Maximum de caractrs a afficher pour la vue partielle");

define("_MI_SF_PARTIALVIEWMSG", "[VUE PARTIELLE] Message de la vue partielle");
define("_MI_SF_PARTIALVIEWMSGDSC", "Ce message sera affich dans la page o les anonymes auront une vue partielle des rponses.");
define("_MI_SF_PARTIALVIEWMSGDEFAULT", "Vous devrez vous <a href='". XOOPS_URL . "/user.php'>connecter</a> pour accder  la rponse complte");
 
define("_MI_SF_DISPLAY_POSTER_INFO", "[OPTIONS DE CONTENU] Afficher les informations sur l'auteur");
define("_MI_SF_DISPLAY_POSTER_INFODSC", "Afficher les informations sur l'auteur questions et/ou rponses");

define("_MI_SF_BACK2INDEX", "[OPTIONS DE CONTENU] Afficher un lien de retour  l'index");
define("_MI_SF_BACK2INDEXSC", "Afficher un lien de retour  l'index des FAQ sur la page de FAQ");

define("_MI_SF_PRINTLOGOURL", "[OPTIONS DE FORMAT] Logo de la page d'impression");
define("_MI_SF_PRINTLOGOURLDSC", "Url du logo utilis dans la page d'imperssion d'une FAQ");

// Names of admin menu items
define('_MI_SF_ADMENU1', 'En attente');
define('_MI_SF_ADMENU2', 'Cat&eacute;gories');
define('_MI_SF_ADMENU3', 'Q&amp;R');
define('_MI_SF_ADMENU4', 'Questions ouvertes');
define('_MI_SF_ADMENU5', 'Permissions');
define('_MI_SF_ADMENU6', 'Blocs et Groupes');
define('_MI_SF_ADMENU7', 'Acc&eacute;der au Module');

//Names of Blocks and Block information
define('_MI_SF_ARTSNEW', 'Liste des Q&amp;R r&eacute;centes');
define('_MI_SF_ARTSRANDOM_DIDUNO', 'Le saviez-vous?');
define('_MI_SF_ARTSRANDOM_FAQ', 'Question al&eacute;atoire!');
define('_MI_SF_ARTSRANDOM_HOW', 'Comment fais-je!');
define('_MI_SF_ARTSCONTEXT', 'Q&amp;R Contextuel');
define('_MI_SF_RECENTFAQS', 'Q&amp;R R&eacute;cente (D&eacute;taill&eacute;e)');
define('_MI_SF_RECENT_QUESTIONS', 'Questions ouvertes r&eacute;centes');
define("_MI_SF_MOST_VIEWED", "Questions populaires");

// Text for notifications

define('_MI_SF_GLOBAL_FAQ_NOTIFY', 'Q&amp;R Globale');
define('_MI_SF_GLOBAL_FAQ_NOTIFY_DSC', 'Options de notification appliqu&eacute;es &agrave; toutes les Q&amp;R.');

define('_MI_SF_CATEGORY_FAQ_NOTIFY', 'Cat&eacute;gorie de Q&amp;R');
define('_MI_SF_CATEGORY_FAQ_NOTIFY_DSC', 'Options de notification appliqu&eacute;es &agrave; cette cat&eacute;gorie courante.');

define('_MI_SF_FAQ_NOTIFY', 'FAQs');
define('_MI_SF_FAQ_NOTIFY_DSC', 'Options de notification appliqu&eacute;es &agrave; la Q&amp;R en cours.');

define('_MI_SF_GLOBAL_QUESTION_NOTIFY', 'Globale : Questions ouvertes');
define('_MI_SF_GLOBAL_QUESTION_NOTIFY_DSC', 'Options de notification appliqu&eacute;es &agrave; toutes les questions ouvertes');

define('_MI_SF_CATEGORY_QUESTION_NOTIFY', 'Cat&eacute;gorie de la Q&amp;R');
define('_MI_SF_CATEGORY_QUESTION_NOTIFY_DSC', 'Options de notification appliqu&eacute;es &agrave; cette cat&eacute;gorie.');

define('_MI_SF_QUESTION_NOTIFY', 'Question ouverte');
define('_MI_SF_QUESTION_NOTIFY_DSC', 'Options de notification appliqu&eacute;es &agrave; la Question Ouverte courante.');

define('_MI_SF_GLOBAL_FAQ_CATEGORY_CREATED_NOTIFY', 'Nouvelle cat&eacute;gorie');
define("_MI_SF_GLOBAL_FAQ_CATEGORY_CREATED_NOTIFY_CAP", "M'avertir quand une nouvelle cat&eacute;gorie est cr&eacute;&eacute;e.");
define('_MI_SF_GLOBAL_FAQ_CATEGORY_CREATED_NOTIFY_DSC', 'Recevez une notification quand une nouvelle cat&eacute;gorie est cr&eacute;&eacute;e.');
define('_MI_SF_GLOBAL_FAQ_CATEGORY_CREATED_NOTIFY_SBJ', '[{X_SITENAME}] {X_MODULE} Notification automatique : Nouvelle Cat&eacute;gorie');

define('_MI_SF_GLOBAL_FAQ_SUBMITTED_NOTIFY', 'Q&amp;R propos&eacute;es');
define("_MI_SF_GLOBAL_FAQ_SUBMITTED_NOTIFY_CAP", "M'avertir quand une nouvelle Q&amp;R est propos&eacute;e et en attente d'approbation.");
define("_MI_SF_GLOBAL_FAQ_SUBMITTED_NOTIFY_DSC", "Recevez une notification quand une Q&amp;R est propos&eacute;e et en attente d'approbation.");
define('_MI_SF_GLOBAL_FAQ_SUBMITTED_NOTIFY_SBJ', '[{X_SITENAME}] {X_MODULE} Notification automatique : Nouvelle Q&amp;R propos&eacute;e');

define('_MI_SF_GLOBAL_FAQ_PUBLISHED_NOTIFY', 'Nouvelle Q&amp;R publi&eacute;e');
define("_MI_SF_GLOBAL_FAQ_PUBLISHED_NOTIFY_CAP", "M'avertir quand une nouvelle Q&amp;R est publi&eacute;e.");
define('_MI_SF_GLOBAL_FAQ_PUBLISHED_NOTIFY_DSC', 'Recevez une notification quand une Q&amp;R est publi&eacute;e.');
define('_MI_SF_GLOBAL_FAQ_PUBLISHED_NOTIFY_SBJ', '[{X_SITENAME}] {X_MODULE} Notification automatique : Nouvealle Q&amp;R publi&eacute;e');

define('_MI_SF_GLOBAL_FAQ_ANSWER_PROPOSED_NOTIFY', 'Nouvelle r&eacute;ponse propos&eacute;e');
define("_MI_SF_GLOBAL_FAQ_ANSWER_PROPOSED_NOTIFY_CAP", "M'avertir quand une nouvelle r&eacute;ponse est propos&eacute;e pour n'importe quelle Q&amp;R.");
define("_MI_SF_GLOBAL_FAQ_ANSWER_PROPOSED_NOTIFY_DSC", "Recevez une notification quand une nouvelle r&eacute;ponse est propos&eacute;e pour n'importe quelle Q&amp;R.");
define('_MI_SF_GLOBAL_FAQ_ANSWER_PROPOSED_NOTIFY_SBJ', '[{X_SITENAME}] {X_MODULE} Notification automatique : Nouvelle r&eacute;ponse propos&eacute;e');

define('_MI_SF_GLOBAL_FAQ_ANSWER_PUBLISHED_NOTIFY', 'Nouvelle r&eacute;ponse publi&eacute;e');
define("_MI_SF_GLOBAL_FAQ_ANSWER_PUBLISHED_NOTIFY_CAP", "M'avertir quand une nouvelle r&eacute;ponse est publi&eacute;e pour n'importe quelle Q&amp;R.");
define("_MI_SF_GLOBAL_FAQ_ANSWER_PUBLISHED_NOTIFY_DSC", "Recevez une notification quand une nouvelle r&eacute;ponse est publi&eacute;e pour n'importe quelle Q&amp;R.");
define('_MI_SF_GLOBAL_FAQ_ANSWER_PUBLISHED_NOTIFY_SBJ', '[{X_SITENAME}] {X_MODULE} Notification automatique : Nouvelle r&eacute;ponse publi&eacute;e');

define('_MI_SF_CATEGORY_FAQ_SUBMITTED_NOTIFY', 'Q&amp;R propos&eacute;');
define("_MI_SF_CATEGORY_FAQ_SUBMITTED_NOTIFY_CAP", "M'avertir quand une nouvelle Q&amp;R est propos&eacute;e dans cette cat&eacute;gorie.");   
define('_MI_SF_CATEGORY_FAQ_SUBMITTED_NOTIFY_DSC', 'Recevez une notification quand une nouvelle Q&amp;R est propos&eacute;e dans cette cat&eacute;gorie.');
define('_MI_SF_CATEGORY_FAQ_SUBMITTED_NOTIFY_SBJ', '[{X_SITENAME}] {X_MODULE} Notification automatique : Nouvelle Q&amp;R propos&eacute;e dans cette cat&eacute;gorie');

define('_MI_SF_CATEGORY_FAQ_PUBLISHED_NOTIFY', 'Nouvelle Q&amp;R publi&eacute;e');
define("_MI_SF_CATEGORY_FAQ_PUBLISHED_NOTIFY_CAP", "M'avertir quand une nouvelle Q&amp;R est publi&eacute;e dans cette cat&eacute;gorie.");   
define('_MI_SF_CATEGORY_FAQ_PUBLISHED_NOTIFY_DSC', 'Recevez une notification quand une nouvelle Q&amp;R est publi&eacute;e dans cette cat&eacute;gorie.');
define('_MI_SF_CATEGORY_FAQ_PUBLISHED_NOTIFY_SBJ', '[{X_SITENAME}] {X_MODULE} Notification automatique: nouvelle Q&amp;R publi&eacute;e dans cette cat&eacute;gorie');

define('_MI_SF_CATEGORY_FAQ_ANSWER_PROPOSED_NOTIFY', 'Nouvelle r&eacute;ponse propos&eacute;e');
define("_MI_SF_CATEGORY_FAQ_ANSWER_PROPOSED_NOTIFY_CAP", "M'avertir quand une nouvelle r&eacute;ponse est propos&eacute;e pour une Q&amp;R dans cette cat&eacute;gorie.");   
define('_MI_SF_CATEGORY_FAQ_ANSWER_PROPOSED_NOTIFY_DSC', 'Recevez une notification quand une nouvelle r&eacute;ponse est propos&eacute;e pour une Q&amp;R dans cette cat&eacute;gorie.');
define('_MI_SF_CATEGORY_FAQ_ANSWER_PROPOSED_NOTIFY_SBJ', '[{X_SITENAME}] {X_MODULE} Notification automatique: Nouvelle r&eacute;ponse propos&eacute;e');

define('_MI_SF_CATEGORY_FAQ_ANSWER_PUBLISHED_NOTIFY', 'Nouvelle r&eacute;ponse publi&eacute;e');
define("_MI_SF_CATEGORY_FAQ_ANSWER_PUBLISHED_NOTIFY_CAP", "M'avertir quand une nouvelle r&eacute;ponse est publi&eacute;e pour une Q&amp;R dans cette cat&eacute;gorie.");   
define('_MI_SF_CATEGORY_FAQ_ANSWER_PUBLISHED_NOTIFY_DSC', 'Recevez une notification quand une nouvelle r&eacute;ponse est publi&eacute;e pour une Q&amp;R dans cette cat&eacute;gorie.');
define('_MI_SF_CATEGORY_FAQ_ANSWER_PUBLISHED_NOTIFY_SBJ', '[{X_SITENAME}] {X_MODULE} Notification automatique: Nouvelle r&eacute;ponse publi&eacute;e');

define('_MI_SF_FAQ_REJECTED_NOTIFY', 'Q&amp;R rejet&eacute;e');
define("_MI_SF_FAQ_REJECTED_NOTIFY_CAP", "M'avertir si cette Q&amp;R est rejet&eacute;e.");   
define('_MI_SF_FAQ_REJECTED_NOTIFY_DSC', 'Recevez une notification si cette Q&amp;R est rejet&eacute;e.');
define('_MI_SF_FAQ_REJECTED_NOTIFY_SBJ', '[{X_SITENAME}] {X_MODULE} Notification automatique: Q&amp;R rejet&eacute;e');

define('_MI_SF_FAQ_APPROVED_NOTIFY', 'Q&amp;R approuv&eacute;e');
define("_MI_SF_FAQ_APPROVED_NOTIFY_CAP", "M'avertir quand un nouveau est approuv&eacute;e.");
define('_MI_SF_FAQ_APPROVED_NOTIFY_DSC', 'Recevez une notification quand une nouvelle Q&amp;R est approuv&eacute;e.');
define('_MI_SF_FAQ_APPROVED_NOTIFY_SBJ', '[{X_SITENAME}] {X_MODULE} Notification automatique: Q&amp;R approuv&eacute;e');

define('_MI_SF_FAQ_ANSWER_APPROVED_NOTIFY', 'R&eacute;ponse approuv&eacute;e');
define('_MI_SF_FAQ_ANSWER_APPROVED_NOTIFY_CAP', "M'avertir quand cette r&eacute;ponse est approuv&eacute;e.");
define('_MI_SF_FAQ_ANSWER_APPROVED_NOTIFY_DSC', 'Recevez une notification quand cette r&eacute;ponse est approuv&eacute;e.');
define('_MI_SF_FAQ_ANSWER_APPROVED_NOTIFY_SBJ', '[{X_SITENAME}] {X_MODULE} Notification automatique : R&eacute;ponse approuv&eacute;e');

define('_MI_SF_FAQ_ANSWER_REJECTED_NOTIFY', 'R&eacute;ponse rejet&eacute;e');
define('_MI_SF_FAQ_ANSWER_REJECTED_NOTIFY_CAP', "M'avertir quand cette r&eacute;ponse est rejet&eacute;e.");
define('_MI_SF_FAQ_ANSWER_REJECTED_NOTIFY_DSC', 'Recevez une notification si cette r&eacute;ponse est rejet&eacute;e.');
define('_MI_SF_FAQ_ANSWER_REJECTED_NOTIFY_SBJ', '[{X_SITENAME}] {X_MODULE} Notification automatique : R&eacute;ponse Rejet&eacute;e');

define('_MI_SF_GLOBAL_QUESTION_SUBMITTED_NOTIFY', 'Question propos&eacute;e');
define("_MI_SF_GLOBAL_QUESTION_SUBMITTED_NOTIFY_CAP", "M'avertir lorsqu'une n'importe quelle question a &eacute;t&eacute; propos&eacute;e et est en attente d'approbation.");   
define("_MI_SF_GLOBAL_QUESTION_SUBMITTED_NOTIFY_DSC", "Recevez une notification lorsqu'une question a &eacute;t&eacute; propos&eacute;e et est en attente d'approbation.");      
define('_MI_SF_GLOBAL_QUESTION_SUBMITTED_NOTIFY_SBJ', '[{X_SITENAME}] {X_MODULE} Notification automatique : Nouvelle proposition de question');

define('_MI_SF_GLOBAL_QUESTION_PUBLISHED_NOTIFY', 'Question publi&eacute;e');
define("_MI_SF_GLOBAL_QUESTION_PUBLISHED_NOTIFY_CAP","M'avertir quand une nouvelle question est publi&eacute;e dans la section des Questions ouvertes.");   
define('_MI_SF_GLOBAL_QUESTION_PUBLISHED_NOTIFY_DSC','Recevez une notification quand une nouvelle question est publi&eacute;e dans la section des Questions ouvertes.');
define('_MI_SF_GLOBAL_QUESTION_PUBLISHED_NOTIFY_SBJ','[{X_SITENAME}] {X_MODULE} Notification automatique: Nouvelle question publi&eacute;e');

define('_MI_SF_GLOBAL_QUESTION_ANSWER_PROPOSED_NOTIFY', 'R&eacute;ponse propos&eacute;e');
define("_MI_SF_GLOBAL_QUESTION_ANSWER_PROPOSED_NOTIFY_CAP", "M'avertir quand une nouvelle r&eacute;ponse est pos&eacute;e &agrave; n'importe quelle Question ouverte.");   
define("_MI_SF_GLOBAL_QUESTION_ANSWER_PROPOSED_NOTIFY_DSC", "Recevez une notification quand une nouvelle r&eacute;ponse est pos&eacute;e &agrave; n'importe quelle Question ouverte.");      
define('_MI_SF_GLOBAL_QUESTION_ANSWER_PROPOSED_NOTIFY_SBJ', '[{X_SITENAME}] {X_MODULE} Notification automatique: Nouvelle r&eacute;ponse pos&eacute;e');

define('_MI_SF_CATEGORY_QUESTION_SUBMITTED_NOTIFY', 'Question propos&eacute;e');
define("_MI_SF_CATEGORY_QUESTION_SUBMITTED_NOTIFY_CAP", "M'avertir quand une nouvelle question est pos&eacute;e dans cette cat&eacute;gorie.");   
define('_MI_SF_CATEGORY_QUESTION_SUBMITTED_NOTIFY_DSC', 'Recevez une notification quand une question est propos&eacute;e dans cette cat&eacute;gorie.');
define('_MI_SF_CATEGORY_QUESTION_SUBMITTED_NOTIFY_SBJ', '[{X_SITENAME}] {X_MODULE} Notification automatique: Nouvelle question propos&eacute;e');

define('_MI_SF_CATEGORY_QUESTION_PUBLISHED_NOTIFY', 'Question publi&eacute;e');
define("_MI_SF_CATEGORY_QUESTION_PUBLISHED_NOTIFY_CAP", "M'avertir quand une nouvelle question est publi&eacute;e dans la cat&eacute;gorie en cours.");   
define('_MI_SF_CATEGORY_QUESTION_PUBLISHED_NOTIFY_DSC', 'Recevez une notification quand une question est publi&eacute;e dans cette cat&eacute;gorie.');
define('_MI_SF_CATEGORY_QUESTION_PUBLISHED_NOTIFY_SBJ', '[{X_SITENAME}] {X_MODULE} Notification automatique: Nouvelle question publi&eacute;e');

define('_MI_SF_CATEGORY_QUESTION_ANSWER_PROPOSED_NOTIFY', 'R&eacute;ponse propos&eacute;e');
define("_MI_SF_CATEGORY_QUESTION_ANSWER_PROPOSED_NOTIFY_CAP", "M'avertir quand une r&eacute;ponse est propos&eacute;e &agrave; une question ouverte de cette cat&eacute;gorie.");   
define('_MI_SF_CATEGORY_QUESTION_ANSWER_PROPOSED_NOTIFY_DSC', 'Recevez une notification quand une r&eacute;ponse est propos&eacute;e pour une question ouverte dans cette cat&eacute;gorie.');
define('_MI_SF_CATEGORY_QUESTION_ANSWER_PROPOSED_NOTIFY_SBJ', '[{X_SITENAME}] {X_MODULE} Notification automatique: Nouvelle r&eacute;ponse propos&eacute;e');

define('_MI_SF_QUESTION_REJECTED_NOTIFY', 'Question rejet&eacute;e');
define("_MI_SF_QUESTION_REJECTED_NOTIFY_CAP", "M'avertir si ma question est rejet&eacute;e.");   
define('_MI_SF_QUESTION_REJECTED_NOTIFY_DSC', 'Recevez une notification si la question est rejet&eacute;e.');
define('_MI_SF_QUESTION_REJECTED_NOTIFY_SBJ', '[{X_SITENAME}] {X_MODULE} Notification automatique: Question rejet&eacute;e');

define('_MI_SF_QUESTION_APPROVED_NOTIFY', 'Question approuv&eacute;e');
define("_MI_SF_QUESTION_APPROVED_NOTIFY_CAP", "M'avertir si ma question est approuv&eacute;e.");   
define("_MI_SF_QUESTION_APPROVED_NOTIFY_DSC", "Recevez une notification si la question est approuv&eacute;e.");      
define("_MI_SF_QUESTION_APPROVED_NOTIFY_SBJ", "[{X_SITENAME}] {X_MODULE} Notification automatique: Question approuv&eacute;e");

define('_MI_SF_QUESTION_ANSWER_APPROVED_NOTIFY', 'R&eacute;ponse approuv&eacute;e');
define("_MI_SF_QUESTION_ANSWER_APPROVED_NOTIFY_CAP", "M'avertir si ma r&eacute;ponse est approuv&eacute;e.");   
define('_MI_SF_QUESTION_ANSWER_APPROVED_NOTIFY_DSC', 'Recevez une notification si la r&eacute;ponse est approuv&eacute;e.');
define('_MI_SF_QUESTION_ANSWER_APPROVED_NOTIFY_SBJ', '[{X_SITENAME}] {X_MODULE} Notification automatique : R&eacute;ponse approuv&eacute;e');

define('_MI_SF_QUESTION_ANSWER_REJECTED_NOTIFY', 'R&eacute;ponse rejet&eacute;e');
define("_MI_SF_QUESTION_ANSWER_REJECTED_NOTIFY_CAP", "M'avertir si ma r&eacute;ponse est rejet&eacute;e.");   
define('_MI_SF_QUESTION_ANSWER_REJECTED_NOTIFY_DSC', 'Recevez une notification si la r&eacute;ponse est rejet&eacute;e.');
define('_MI_SF_QUESTION_ANSWER_REJECTED_NOTIFY_SBJ', '[{X_SITENAME}] {X_MODULE} Notification automatique : R&eacute;ponse rejet&eacute;e');

// About.php constants
define('_MI_SF_AUTHOR_INFO', "Dvelopeurs");
define('_MI_SF_DEVELOPER_LEAD', "Dveloppeur principal");
define('_MI_SF_DEVELOPER_CONTRIBUTOR', "Contributeur(s)");
define('_MI_SF_DEVELOPER_WEBSITE', "Site web");
define('_MI_SF_DEVELOPER_EMAIL', "Email");
define('_MI_SF_DEVELOPER_CREDITS', "Crdits");
define('_MI_SF_DEMO_SITE', "Site Demo SmartFactory");
define('_MI_SF_MODULE_INFO', 'Informations sur le D&eacute;veloppement du Module');
define('_MI_SF_MODULE_STATUS', 'Statut');
define('_MI_SF_MODULE_RELEASE_DATE', "Date de sortie");
define('_MI_SF_MODULE_DEMO', 'Site de d&eacute;monstration');
define('_MI_SF_MODULE_SUPPORT', 'Site officiel de support');
define('_MI_SF_MODULE_BUG', 'Rapportez une erreur pour ce module');
define('_MI_SF_MODULE_FEATURE', 'Proposez de nouvelles options pour ce module');
define('_MI_SF_MODULE_DISCLAIMER', 'Avertissement');
define("_MI_SF_AUTHOR_WORD", "Le mot de l'auteur");
define('_MI_SF_VERSION_HISTORY', "Historique des versions");

// Beta
define('_MI_SF_WARNING_BETA', "This module comes as is, without any guarantees what so ever. 
This module is BETA, meaning it is still under active development. This release is meant for
<b>testing purposes only</b> and we <b>strongly</b> recommend that you do not use it on a live 
website or in a production environment.");

// RC
define('_MI_SF_WARNING_RC', "This module comes as is, without any guarantees whatsoever. This module 
is a Release Candidate and should not be used on a production web site. The module is still under 
active development and its use is under your own responsibility, which means the author is not responsible.");


// Final
define('_MI_SF_WARNING_FINAL', "This module comes as is, without any guarantees whatsoever. Although this 
module is not beta, it is still under active development. This release can be used in a live website 
or a production environment, but its use is under your own responsibility, which means the author 
is not responsible.");

?>