<?php

/**
* $Id: index.php,v 1.40.2.15.2.2 2005/08/16 20:26:06 m4d3l Exp $
* Module: SmartFAQ
* Author: The SmartFactory <www.smartfactory.ca>
* Licence: GNU
*/ 

function getCats($parentid) {
	global $categoriesObj, $faqsByCat;


	$categories = array();

	// For each categories for which the parentid equals $parentid
	foreach ($categoriesObj[$parentid] as $topcatObj) {
		/* Spcifique  Condolegal pour ne pas faire apparaitre la categorie 144
		*  corriger ...
		*/
		if ($topcatObj->categoryid() <> 144) {

			// $topcatObj is a category object
			$category = array();
			$category['maininfo'] = $topcatObj->toArray();

			// If this category as subcategories, lets fetch them
			if (isset($categoriesObj[$topcatObj->categoryid()])) {
				$category['subcats'] = getCats($topcatObj->categoryid());
			}

			// If this category as faqs, lets fetch them
			if (isset($faqsByCat[$topcatObj->categoryid()])) {
				foreach ($faqsByCat[$topcatObj->categoryid()] as $faqObj) {
					$category['faqs'][$faqObj->faqid()] = $faqObj->toArray();
				}
			}
			$categories[$topcatObj->categoryid()] = $category;
			unset($category);
		}
	}
	return $categories;
}

include_once '../../mainfile.php';

include_once("header.php");
include_once(XOOPS_ROOT_PATH."/modules/smartfaq/include/browser_detect.php");
include_once(XOOPS_ROOT_PATH."/modules/smartfaq/include/functions.php");

//if it's the first time here for this session, do the OS/browser verification
if (!isset($_SESSION["osBrowserOk"])){
	$_SESSION["osBrowserOk"]  = osBrowserOk();
}
// At which record shall we start for the Categories
$catstart = isset($_GET['catstart']) ? intval($_GET['catstart']) : 0;

// At which record shall we start for the FAQ
$start = isset($_GET['start']) ? intval($_GET['start']) : 0;

// Creating the category handler object
$category_handler =& sf_gethandler('category');

// Creating the faq handler object
$faq_handler =& sf_gethandler('faq');

$totalCategories = $category_handler->getCategoriesCount(0);

// Total number of published FAQ in the module
$totalFaqs = $faq_handler->getFaqsCount(-1, array(_SF_STATUS_PUBLISHED, _SF_STATUS_NEW_ANSWER));

If ($totalFaqs  == 0 ) {
	If ( ($totalCategories > 0) && ($xoopsModuleConfig['allowrequest'] && ($xoopsModuleConfig['anonpost']) || is_object($xoopsUser))){
		redirect_header("request.php", 2, _AM_SF_NO_TOP_PERMISSIONS);
	} else {
		redirect_header("../../index.php", 2, _AM_SF_NO_TOP_PERMISSIONS);
	}
	exit;
}

$xoopsOption['template_main'] = 'smartfaq_index.html';

include_once(XOOPS_ROOT_PATH . "/header.php");
include_once("footer.php");

if (sf_getConfig('displaytype') == 'treeview'&& $_SESSION["osBrowserOk"]) {
	$categoriesObj = $category_handler->getCategories(0, 0, -1, 'name', 'ASC', false, true);
	$faqsByCat = $faq_handler->getFaqsByCat(0, 0, array(_SF_STATUS_PUBLISHED, _SF_STATUS_NEW_ANSWER), 'question', $order='ASC');

	$allcategories = array();
	$allcategories = getCats(0);
	$xoopsTpl->assign('allcategories', $allcategories);
} else {

	// Creating the categories objects
	$categoriesObj = $category_handler->getCategories($xoopsModuleConfig['catperpage'], $catstart);
	// If no categories are found, exit
	$totalCategoriesOnPage = count($categoriesObj);
	If ($totalCategoriesOnPage  == 0 ) {
		redirect_header("javascript:history.go(-1)", 2, _AM_SF_NO_CAT_EXISTS);
		exit;
	}
	// Arrays that will hold the informations passed on to smarty variables

	$qnas = array();

	//if ($xoopsModuleConfig['displaysubcatonindex']) {
	$subcats = $category_handler->getSubCats($categoriesObj);
	//}
	$totalQnas = $category_handler->publishedFaqsCount();
	$faq_handler =& sf_gethandler('faq');

	if ($xoopsModuleConfig['displaylastfaq'] == 1) {
		// Get the last smartfaq in each category
		$last_qnaObj = $faq_handler->getLastPublishedByCat();
	}
	$lastfaqsize = intval($xoopsModuleConfig['lastfaqsize'])	;
	$categories = array();


	foreach ($categoriesObj as $cat_id => $category) {
		/*
		sf_collapsableBar($collapsename, $collapseicon);
		echo "<img id=".$collapseicon." src=" . XOOPS_URL . "/modules/" . $xoopsModule->dirname() . "/images/icon/close12.gif alt='' /></a>&nbsp;" . $collapsename . "</h3>";
		echo "<div id=".$collapsename.">";
		$xoopsTpl->assign($collapsename, $collapsename);
		$xoopsTpl->assign($collapseicon, $collapseicon);*/

		$total = 0;
		if (isset($subcats[$cat_id])) {
			foreach ($subcats[$cat_id] as $key => $subcat) {
				$subcat_id = $subcat->getVar('categoryid');
				if (isset($totalQnas[$subcat_id]) && $totalQnas[$subcat_id] > 0) {
					if (isset($last_qnaObj[$subcat_id])) {
						$subcat->setVar('last_faqid', $last_qnaObj[$subcat_id]->getVar('faqid'));
						$subcat->setVar('last_question_link', "<a href='faq.php?faqid=" . $last_qnaObj[$subcat_id]->getVar('faqid') . "'>" . $last_qnaObj[$subcat_id]->question($lastfaqsize) . "</a>");
					}
					$subcat->setVar('faqcount', $totalQnas[$subcat_id]);
					if($xoopsModuleConfig['displaysubcatonindex']){
						$categories[$cat_id]['subcats'][$subcat_id] = $subcat->toArray();
					}
				}
				$total += $totalQnas[$subcat_id];
				//}replac  la ligne 144
			}
		}

		if (isset($totalQnas[$cat_id]) && $totalQnas[$cat_id] > 0) {
			$total += $totalQnas[$cat_id];
		}
		if ($total > 0) {
			if (isset($last_qnaObj[$cat_id])) {
				$category->setVar('last_faqid', $last_qnaObj[$cat_id]->getVar('faqid'));
				$category->setVar('last_question_link', "<a href='faq.php?faqid=" . $last_qnaObj[$cat_id]->getVar('faqid') . "'>" . $last_qnaObj[$cat_id]->question($lastfaqsize) . "</a>");
			}
			$category->setVar('faqcount', $total);
			if (!isset($categories[$cat_id])) {
				$categories[$cat_id] = array();
			}
		}
		$categories[$cat_id] = $category->toArray($categories[$cat_id]);
		$categories[$cat_id]['categoryPath'] = $category->getCategoryPath();
		$categories[$cat_id]['collapsename'] = $category->getVar('categoryid')."name";
		$categories[$cat_id]['collapseicon'] = $category->getVar('categoryid')."icon";
		//}replac  la ligne 162

	}


	$xoopsTpl->assign('categories', $categories);

	$displaylastfaqs = $xoopsModuleConfig['displaylastfaqs'];
	if ($displaylastfaqs) {
		// Creating the last FAQs
		$faqsObj = $faq_handler->getAllPublished($xoopsModuleConfig['indexperpage'], $start);
		$totalQnasOnPage = count($faqsObj);
		$allcategories = $category_handler->getObjects(null, true);
		If ($faqsObj) {
			$userids = array();
			foreach ($faqsObj as $key => $thisfaq) {
				$faqids[] = $thisfaq->getVar('faqid');
				$userids[$thisfaq->uid()] = 1;
			}
			$answer_handler =& sf_gethandler('answer');
			$allanswers = $answer_handler->getLastPublishedByFaq($faqids);

			foreach ($allanswers as $key => $thisanswer) {
				$userids[$thisanswer->uid()] = 1;
			}

			$member_handler = &xoops_gethandler('member');
			$users = $member_handler->getUsers(new Criteria('uid', "(".implode(',', array_keys($userids)).")", "IN"), true);
			for ( $i = 0; $i < $totalQnasOnPage; $i++ ) {
				$faq = $faqsObj[$i]->toArray(null, $allcategories);

				// Creating the answer object
				$answerObj =& $allanswers[$faqsObj[$i]->faqid()];

				$answerObj->setVar('dohtml', $faqsObj[$i]->getVar('html'));
				$answerObj->setVar('doxcode', $faqsObj[$i]->getVar('xcodes'));
				$answerObj->setVar('dosmiley', $faqsObj[$i]->getVar('smiley'));
				$answerObj->setVar('doimage', $faqsObj[$i]->getVar('image'));
				$answerObj->setVar('dobr', $faqsObj[$i]->getVar('linebreak'));

				$faq['answer'] = $answerObj->answer();
				$faq['answerid'] = $answerObj->answerid();
				$faq['datesub'] = $faqsObj[$i]->datesub();
				$faq['adminlink'] = sf_getAdminLinks($faqsObj[$i]->faqid());

				$faq['who_when'] = $faqsObj[$i]->getWhoAndWhen($answerObj, $users);

				$xoopsTpl->append('faqs', $faq);
			}
		}
	}
}

//Patche pour pb javascript/FF
include_once(XOOPS_ROOT_PATH."/modules/smartfaq/include/browser_detect.php");
$browser = smartfaq_browser_detection( 'browser' );

if($browser!='moz'){
	$refresh = 0;
}
else{
	if (!isset($_SESSION["lastref"])){
		$_SESSION["lastref"]  = 0;
	}
	$delay = (time() - $_SESSION["lastref"]);
	$_SESSION["lastref"] = time();
	$refresh = ($delay > 5);
}
$xoopsTpl->assign('refresh', $refresh);
//fin de la patche (ne pas oublier de nettoyer smartfaq_index.html)


//Check browser & Os combination


if (isset($_SESSION["osGreenlist"])){			//if browser not ok and have alternatves
$xoopsTpl->assign('osGreenlist', $_SESSION["osGreenlist"]);
$xoopsTpl->assign('glExists', 1);
}

if (!$_SESSION["osBrowserOk"]&&$xoopsModuleConfig['displaytype']=='treeview'){
	$displaytype= 'summary';
	$xoopsTpl->assign('browIncomp', 1);
}
else{
	$displaytype=$xoopsModuleConfig['displaytype'];
}
$xoopsTpl->assign('displaytype', $displaytype);
$xoopsTpl->assign('osBrowserOk', $_SESSION["osBrowserOk"]);
$xoopsTpl->assign('warningBrowser', _MD_SF_WARNING_BROWSER);
//End browser/os check

//Check browser & Os combination


if (isset($_SESSION["osGreenlist"])){			//if browser not ok and have alternatves
$xoopsTpl->assign('osGreenlist', $_SESSION["osGreenlist"]);
$xoopsTpl->assign('glExists', 1);
}

if (!$_SESSION["osBrowserOk"]&&$xoopsModuleConfig['displaytype']=='treeview'){
	$displaytype= 'summary';
	$xoopsTpl->assign('browIncomp', 1);
}
else{
	$displaytype=$xoopsModuleConfig['displaytype'];
}
$xoopsTpl->assign('displaytype', $displaytype);
$xoopsTpl->assign('osBrowserOk', $_SESSION["osBrowserOk"]);
$xoopsTpl->assign('lang_warningBrowser', _MD_SF_WARNING_BROWSER);
//End browser/os check

// Language constants
$moduleName = $myts->displayTarea($xoopsModule->getVar('name'));
$xoopsTpl->assign('whereInSection', $moduleName);
$xoopsTpl->assign('displaysubcatonindex', $xoopsModuleConfig['displaysubcatonindex']);
$xoopsTpl->assign('displaylastfaqs', $xoopsModuleConfig['displaylastfaqs']);
$xoopsTpl->assign('display_categoryname', true);
$xoopsTpl->assign('indexfooter', $myts->displayTarea($xoopsModuleConfig['indexfooter']));

// Hack CondoLegal.com
if (is_object($xoopsUser)) {
	$main_intro = "Dans cette section, vous trouverez cent vingt-cinq (125) questions dj traites
				   que nous avons slectionnes  travers les centaines de questions qui nous sont 
				   parvenues depuis la cration de <b>Condolegal.com</b>.<br />
				   <br />
				   Cliquez simplement sur les catgories qui vous intressent afin de voir les 
				   questions qui s'y trouvent, et cliquez ensuite sur les questions pour 
				   lesquelles vous aimeriez voir les rponses !";
} else {
	$main_intro = "Dans cette section, vous trouverez cent vingt-cinq (125) questions dj traites
				   que nous avons slectionnes  travers les centaines de questions qui nous sont 
				   parvenues depuis la cration de <b>Condolegal.com</b>.<br />
				   <br />
				   Pour accder aux rponses entires, vous devez tre membre de CondoLegal.com. 
				   Si vous tes dj membre, 
				   <a style='text-decoration: underline;' href='http://www.condolegal.com/user.php'>connectez-vous maintenant</a>. 
				   Si vous n'tes toujours pas membre du site, 
				   <a style='text-decoration: underline;' href='http://www.condolegal.com/register.php'>inscrivez-vous</a> 
				   gratuitement ds maintenant !";	
}
$main_intro = $myts->displayTarea($xoopsModuleConfig['indexwelcomemsg'], 1);
// End of Hack CondoLegal.com
$xoopsTpl->assign('lang_mainhead', sprintf(_MD_SF_MAINHEAD, $moduleName, $xoopsConfig['sitename']));
$xoopsTpl->assign('lang_mainintro', $main_intro);
$xoopsTpl->assign('lang_total', _MD_SF_TOTAL_SMARTFAQS);
$xoopsTpl->assign('lang_home', _MD_SF_HOME);
$xoopsTpl->assign('lang_description', _MD_SF_DESCRIPTION);
$xoopsTpl->assign('lang_category', _MD_SF_CATEGORY);

$xoopsTpl->assign('lang_reads', _MD_SF_READS);
$xoopsTpl->assign('lang_smartfaqs', _MD_SF_SMARTFAQS);
$xoopsTpl->assign('lang_last_smartfaq', _MD_SF_LAST_SMARTFAQ);
$xoopsTpl->assign('lang_categories_summary', _MD_SF_INDEX_CATEGORIES_SUMMARY);
$xoopsTpl->assign('lang_categories_summary_info', _MD_SF_INDEX_CATEGORIES_SUMMARY_INFO);
$xoopsTpl->assign('lang_index_faqs', _MD_SF_INDEX_FAQS);
$xoopsTpl->assign('lang_index_faqs_info', _MD_SF_INDEX_FAQS_INFO);
$xoopsTpl->assign('lang_category', _MD_SF_CATEGORY);
$xoopsTpl->assign('lang_editcategory', _MD_SF_CATEGORY_EDIT);
$xoopsTpl->assign('lang_comments', _MD_SF_COMMENTS);


// Category Navigation Bar
include_once XOOPS_ROOT_PATH . '/class/pagenav.php';
$pagenav = new XoopsPageNav($totalCategories, $xoopsModuleConfig['catperpage'], $catstart, 'catstart', '');
If ($xoopsModuleConfig['useimagenavpage'] == 1) {
	$xoopsTpl->assign('catnavbar', '<div style="text-align:right;">' . $pagenav->renderImageNav() . '</div>');
} else {
	$xoopsTpl->assign('catnavbar', '<div style="text-align:right;">' . $pagenav->renderNav() . '</div>');
}

// FAQ Navigation Bar
$pagenav = new XoopsPageNav($totalFaqs, $xoopsModuleConfig['indexperpage'], $start, 'start', '');
If ($xoopsModuleConfig['useimagenavpage'] == 1) {
	$xoopsTpl->assign('navbar', '<div style="text-align:right;">' . $pagenav->renderImageNav() . '</div>');
} else {
	$xoopsTpl->assign('navbar', '<div style="text-align:right;">' . $pagenav->renderNav() . '</div>');
}

// Page Title Hack by marcan
$module_name = $myts->makeTboxData4Show($xoopsModule->getVar('name'));
$xoopsTpl->assign('xoops_pagetitle', $module_name);
// End Page Title Hack by marcan

$xoopsTpl->assign('script_start', "treelist_start();");


include_once(XOOPS_ROOT_PATH . "/footer.php");

?>
